Bug 255891 - x11-themes/kde-icons-black-and-white: add LICENSE, take MAINTAINER
Summary: x11-themes/kde-icons-black-and-white: add LICENSE, take MAINTAINER
Status: In Progress
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: easy, patch, patch-ready
Depends on: 255846
Blocks:
  Show dependency treegraph
 
Reported: 2021-05-15 02:34 UTC by Chris Hutchinson
Modified: 2021-06-02 06:37 UTC (History)
1 user (show)

See Also:


Attachments
patch for x11-themes/kde-icons-black-and-white (711 bytes, patch)
2021-05-15 02:34 UTC, Chris Hutchinson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Hutchinson 2021-05-15 02:34:00 UTC
Created attachment 224954 [details]
patch for x11-themes/kde-icons-black-and-white

This port effectively has no LICENSE. It also
has no MAINTAINER. I already maintain at least
one of this set and want to improve these ports.
As they all share a common file which I want
to modify
x11-themes/kde-icons-noia/Makefile.icons
So I'm just going to take MAINTAINER for all
those (unmaintained) so as to add an actual
LICENSE to those that come with one, and add
an appropriate LICENSE && TEXT for those that
don't.

Changes
Makefile (LICENSE, LICENSE_NAME, LICENSE_TEXT,
 LICENSE_PERMS, MAINTAINER)

That's it.

Builds/Works as intended on 12/amd64 13/amd64

Thanks! :-)

--Chris
Comment 1 Tobias Kortkamp freebsd_committer 2021-05-15 11:11:39 UTC
It already inherits all the LICENSE* from ../kde-icons-noia/Makefile.icons
Comment 2 Tobias Kortkamp freebsd_committer 2021-05-15 11:14:54 UTC
Basically I don't understand what you want to change in Makefile.icons
and why.  It might be better to submit a big change once to see the
bigger picture.
Comment 3 commit-hook freebsd_committer 2021-05-17 06:38:05 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=b309895b3544ffba9e8df8786062ec6013c752ff

commit b309895b3544ffba9e8df8786062ec6013c752ff
Author:     Chris Hutchinson <portmaster@bsdforge.com>
AuthorDate: 2021-05-17 06:32:36 +0000
Commit:     Nuno Teixeira <eduardo@FreeBSD.org>
CommitDate: 2021-05-17 06:32:36 +0000

    x11-themes/kde-icons-black-and-white: add LICENSE, take MAINTAINER

    - Add LICENSE
    - Submitter becomes maintainer

    PR:             255891
    Approved by:    dbaio, garga (mentors, implicit)

 x11-themes/kde-icons-black-and-white/Makefile | 8 ++++++++
 1 file changed, 8 insertions(+)
Comment 4 Nuno Teixeira freebsd_committer 2021-05-17 06:39:48 UTC
Hello Chis!

Thanks for adopting this port.

Committed!
Comment 5 Nuno Teixeira freebsd_committer 2021-05-17 06:42:03 UTC
(In reply to Tobias Kortkamp from comment #2)
Hello!

Sorry I have comitted it because I didn't see this messages.

Should I revert?
Comment 6 Chris Hutchinson 2021-05-17 14:52:30 UTC
(In reply to Nuno Teixeira from comment #5)
I'll make a "mega patch" today. As Tobias
suggests. That incorporates all the icon ports
that depend on
x11-themes/kde-icons-noia/Makefile.icons
and modify x11-themes/kde-icons-noia/Makefile.icons
accordingly.

Thanks for your attention to this, Nuno.

--Chris
Comment 7 Chris Hutchinson 2021-05-17 14:54:09 UTC
(In reply to Chris Hutchinson from comment #6)
To be clear; I won't include this one. As it's
already done. :-)
Comment 8 Chris Hutchinson 2021-05-17 22:15:49 UTC
(In reply to Chris Hutchinson from comment #7)
See bug #255846 for the MEGA DIFF I'm talking about. :-)